matanza(6)

NAME
matanza - space war multiuser ascii game

SYNOPSIS
matanza [OPTIONS]

DESCRIPTION
Matanza is a multiplayer game. In it, every player controls a ship cruising in space, aiming to destroy the other players (and, eventually, ships controlled by the computer). You connect to the server using a telnet client.

OPTIONS

The first thing you must do is connect to the server.
    You must connect to the TCP port `7993' (unless you specified a different port when you ran the server) of the host running the server.

I won't tell you how to do this, Luke.

Umm.

Don't look at me like that!

Ok, you win.
    It's probably 'telnet localhost 7993'.

Once connected, you'll see some nice (c'mon give us some credits) introduction.

You must hit <RET> (that's <Enter>) to go to the game's main screen.

At the main screen, you must enter your name.
    That's right, it can't have more than 8 letters. Oh, and it can not begin with a number. Enter your name and hit <RET> a few times.

If you are in Windows' stupid telnet client, the widgets there will look awful. No colors or anything. We are going to fix that eventually, but... well, you'll have to learn to live with that for the moment. I'm sure you can, Luke. After all, you could stand it when that stupid kid at school used to beat you, remember?

But back to our game, you'll see a ship in the middle of screen.
    Yes, I said ship. Okay, I know it looks more like fire effects than a ship, but with a couple of practice it's going to look better. You just need to train your self to recognize it.

Or you could think of it as a big moth and of the bullets as moth-spit and the goal of this game would be to cover your enemies in your spit.

Now, that thing in the middle of the screen is YOUR ship.
    To control it you can use the following keys:

`h' and `l'
    Make the ship rotate. If you are wondering why I used `h' and `l', get a life (in other words, learn to use Vi). It's a matter of style. Actually, I got so many complaints from lukes like you that I added support for arrow keys.

`+' and `-'
    These allow you to zoom in and out.

`j' and `k'
    Accelerate the ship. Yes, it can move! Yes, at different speeds! Okay, `j' may not work (see --brake and --fly-back). More on that latter. Again, arrows key works as well.

` ' (that's space, dude)
    Shot. Yay! Bullets! Or (depending on your point of view) Moth-Spit! Sorry, dude, the telnet protocol doesn't support sound so there's no BZZZING when you shot.

`b' Shot bullets backwards. Sometimes this doesn't work. More on that in section 6.

`m' Do you see two little imperfections on your ship's wings? Those are the MISSILES. Yoy can shot them with `m'. They do a lot more damage than the bullets, but you have only two, so be careful.

`n' You can also shot SMALLER missiles. You have ten of these.

<Ret>
    If you hit <Ret>, you'll be able to write a message to send it to all the other players. That's correct, you can use Matanza as a full featured chat and all. You could even have net.sex using it, but don't even get me started on the subject.

`z' Shows you stats about the game.

`c' Removes the last message from the list of messages.

`C' Cleans the list of messages.

`s' Swaps the position of the list of messages.

`p' Pauses the game.

`v' Toggles whether or not you see the messages. Sometimes you'll want to disable them.

`i' Make your ship invisible! But beware, you may only make it invisible for a short period of time, after that it becomes visible again and you can't become invisible anymore.

`q' Quit the game.

The following is a list of important command line arguments; this was last
    updated for version 0.12, though some are still missing.

--help
    This shows the list of command line arguments and exits.

--version
    Use this to know the version of the server.

--max-players=NUM
    If you want to make it so the server will allow at most NUM players to enter the world at any given moment, use this option.

--bold
    This instructs the server to use bold characters when rendering images to ASCII art. It improves the quality of the rendering (as of version 0.9 it still has some bugs).

--imgwidth=NUM
    This changes the default image width (for the zoom). The default is 320.

--health=NUM
    Use this option to set the maximum damage a ship can take before it is destroyed. It defaults to 1000.

--mapsize-x=NUM --mapsize-y=NUM
    These options allow you to change the map size. If you make it smaller, players will come across each other more often. On the other hand, if you plan to have a lot of players, you might want to increase the size. The default is 1200 x 1000.

--lives=NUM
    With this option you can change the number of lives each player (or team: see --no-share) gets at startup.

--angles=NUM
    During its initialization, Matanza calculates rotations for all its images (ships, missiles, asteroids, etc.). It uses 64 different angles by default. You may change this number to increase its quality or decrease its memory consumption.

--no-chat
    If you use this option, you will disallow the chat feature. The only reason I can think why someone would want to do that would be to keep newbies from entering the chat buffer and becoming unable to control their ships. Or perhaps to make some team games more exciting by preventing the players to exchange information (though I know it would be very easy to cheat).

--team=STR
    If you want to play in teams mode, you will use this option once for every team, specifying its name. Before joining the game, all players must select the team they will play in.

--password[=STR]
    You can instruct the server to only accept players who know the password. This might be good for some tournaments.

--teams-safe
    This option is only meaningful in teams mode. By default, bullets from a given player hurt everyone, not only players from the other teams. This option changes that behaviour and makes it so bullets from a given player won't hurt players in the same team.

--no-share
    This option is only meaningful in teams mode. By default, all the teams have a pool of lives; when a player dies, he comes back to play and the team has one life less. When this option is specified, the lives are no longer shared so each player has its own pool of lives.

--ang-speed-max=NUM
    Maximum angular speed for ships (try 0)

--fly-back
    If this option is specified, players will be acelerate backwards.

--brake
    Players will be able to brake using `j' (or the down arrow).

--air
    Ships' speed depend on their direction.

--speed-max=NUM
    Set the maximum speed for the ships to NUM. A value of 0 makes this unlimited.

--asteroids=NUM
    With this option you can specify how many asteroids you want at a given moment. If you use `0', you will disable this feature and the memory requirements will decrease.

--limits
    Give the world limits; make it end

--no-radar
    When enemy is away, don't show the direction

--invisible=NUM
    Allow players to become invisible for NUM rounds

--ppc=NUM
    PPC stands for Players Per Connection. With this option, you will be able to set the number of ships each connection will have. For the moment, the only supported values are 1 and 2. The keyboard bindings change and those for a value of 2 are not yet documented.

--bg=PATH
    PATH should be the path to a JPEG file. Matanza will load the information in the file and use it as the background, rather than showing the dots. This will only work if libjpeg was installed when you compiled Matanza.

--mapsize-img
    This option will be ignored unless `--bg' is also used. It tells Matanza to set the map's size to be the width and height of the background image. When used, the options `-x' and `-y' are ignored.

--ship-img=FILE
    Through this option you can specify a file name for Matanza to load the images for the ships from it. The format for the file is very simple, consult ship.txt for more details.

SEE ALSO

Please read the extensive README file for more documentation.

telnet(1)

BUGS
Alejandro Forero Cuervo <alejo@bachue.com>